godo.ReservedIPV6Actions.Assign()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.ReservedIPV6Actions.Assign(ctx context.Context, ip string, dropletID int) (*godo.Action, *godo.Response, error)Description
Assign a reserved IP to a droplet.
This method sends a POST request to /v2/reserved_ipv6/{}/actions.
Parameters
ipstring requireddropletIDint required
Returns
- *godo.Action
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.Action
Action represents a DigitalOcean Action
IDintStatusstringTypestringStartedAt*godo.TimestampCompletedAt*godo.TimestampResourceIDintResourceTypestringRegion*godo.RegionRegionSlugstring
Request Sample
Response Example
More Information
See POST /v2/reserved_ipv6/{}/actions in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.